Bug 3571 - [UPDATE REQUEST] [UPSTREAM UPDATE] mesa
: [UPDATE REQUEST] [UPSTREAM UPDATE] mesa
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-13 15:01 MSK by Andrew Lukoshko
Modified: 2014-01-16 21:10 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2014-01-13 15:01:04 MSK
* Previously, the libGL library was unable to create connections to X servers running GLX 1.2 without fbconfig support. Consequently, all GL applications failed on those servers. This bug has been fixed, and GL applications are now connected to X servers as expected.

* Prior to this update, front buffer rendering with the software driver resulted in inverted rendering and incorrect readbacks. Consequently, some applications appeared inverted to the user. This bug has been fixed, and applications using the software driver now render correctly.

http://rhn.redhat.com/errata/RHBA-2013-1836.html

https://abf.rosalinux.ru/build_lists/1513296
https://abf.rosalinux.ru/build_lists/1513297
Comment 1 Vladimir Potapov 2014-01-14 13:06:26 MSK
mesa-9.2-0.5.res6.2
*************************** RHEL Advisory ************************
* Previously, the libGL library was unable to create connections to X servers running GLX 1.2 without fbconfig support. Consequently, all GL applications failed on those servers. This bug has been fixed, and GL applications are now connected to X servers as expected.

* Prior to this update, front buffer rendering with the software driver resulted in inverted rendering and incorrect readbacks. Consequently, some applications appeared inverted to the user. This bug has been fixed, and applications using the software driver now render correctly.
*******************************************************************
QA Verified